LibreOffice: PreviewView Service Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Included Services | Exported Interfaces | Public Attributes | List of all members
PreviewView Service Referencepublished

This component integrates a preview view to a slide show of a presentation document into the desktop. More...

`import"PreviewView.idl";`

Inheritance diagram for PreviewView:

## Included Services
service | com::sun::star::frame::Controller
| this services offers the integration of this component into the desktop. More...

## Exported Interfaces
interface | com::sun::star::awt::XWindow
| lets you access the window for this view More...
interface | com::sun::star::drawing::XDrawView
| lets you set/get the current page displayed by this view. More...
interface | com::sun::star::beans::XPropertySet
| lets you access the properties of this service. More...
Exported Interfaces inherited from Controller
interface | XController
| with this interface, components viewed in a Frame can serve events (by supplying dispatches) More...
interface | XDispatchProvider
| for certain functions which are useful at the UI More...
interface | com::sun::star::ui::XContextMenuInterception
| this interface enables the controller to get interceptors registered that change context menus or prevent them from being executed More...
interface | com::sun::star::awt::XUserInputInterception
| makes it possible to intercept keyboard and mouse input. More...
interface | com::sun::star::view::XSelectionSupplier
| makes it possible to access and change the selection in a view More...
interface | com::sun::star::datatransfer::XTransferableSupplier
| makes it possible to work with clipboard data More...

## Public Attributes
com::sun::star::drawing::XDrawPage | CurrentPage
| This is the drawing page that is currently visible. More...
com::sun::star::awt::Rectangle | VisibleArea
| This is the area that is currently visible. More...

## Additional Inherited Members
Public Member Functions inherited from XController
void | attachFrame ([in] XFrame Frame)
| is called to attach the controller with its managing frame. More...
boolean | attachModel ([in] XModel Model)
| is called to attach the controller to a new model. More...
boolean | suspend ([in] boolean Suspend)
| is called to prepare the controller for closing the view More...
any | getViewData ()
| provides access to current view status More...
void | restoreViewData ([in] any Data)
| restores the view status using the data gotten from a previous call to XController::getViewData(). More...
XModel | getModel ()
| provides access to currently attached model More...
XFrame | getFrame ()
| provides access to owner frame of this controller More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame. More...
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls. More...
Public Member Functions inherited from XWindow
void | setPosSize ([in] long X, [in] long Y, [in] long Width, [in] long Height, [in] short Flags)
| sets the outer bounds of the window. More...
com::sun::star::awt::Rectangle | getPosSize ()
| returns the outer bounds of the window. More...
void | setVisible ([in] boolean Visible)
| shows or hides the window depending on the parameter. More...
void | setEnable ([in] boolean Enable)
| enables or disables the window depending on the parameter. More...
void | setFocus ()
| sets the focus to the window. More...
void | addWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| adds a window listener to the object. More...
void | removeWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| removes the specified window listener from the listener list. More...
void | addFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| adds a focus listener to the object. More...
void | removeFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| removes the specified focus listener from the listener list. More...
void | addKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| adds a key listener to the object. More...
void | removeKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| removes the specified key listener from the listener list. More...
void | addMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| adds a mouse listener to the object. More...
void | removeMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| removes the specified mouse listener from the listener list. More...
void | addMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| adds a mouse motion listener to the object. More...
void | removeMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| removes the specified mouse motion listener from the listener list. More...
void | addPaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| adds a paint listener to the object. More...
void | removePaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| removes the specified paint listener from the listener list. More...
Public Member Functions inherited from XDrawView
void | setCurrentPage ([in] com::sun::star::drawing::XDrawPage xPage)
| changes the current page. More...
com::sun::star::drawing::XDrawPage | getCurrentPage ()
| returns the current page. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XContextMenuInterception
void | registerContextMenuInterceptor ([in]XContextMenuInterceptor Interceptor)
| registers an XContextMenuInterceptor, which will become the first interceptor in the chain of registered interceptors. More...
void | releaseContextMenuInterceptor ([in]XContextMenuInterceptor Interceptor)
| removes an XContextMenuInterceptor which was previously registered using XContextMenuInterception::registerContextMenuInterceptor(). More...
Protected Member Functions inherited from XUserInputInterception
void | addKeyHandler ([in]::com::sun::star::awt::XKeyHandler xHandler)
| Add a new listener that is called on com::sun::star::awt::KeyEvent. More...
void | removeKeyHandler ([in]::com::sun::star::awt::XKeyHandler xHandler)
| Remove the specified listener from the list of listeners. More...
void | addMouseClickHandler ([in]::com::sun::star::awt::XMouseClickHandler xHandler)
| Add a new listener that is called on com::sun::star::awt::MouseEvent. More...
void | removeMouseClickHandler ([in]::com::sun::star::awt::XMouseClickHandler xHandler)
| Remove the specified listener from the list of listeners. More...
Protected Member Functions inherited from XSelectionSupplier
boolean | select ([in] any xSelection) raises ( com::sun::star::lang::IllegalArgumentException )
| selects the object represented by xSelection if it is known and selectable in this object. More...
any | getSelection ()
void | addSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| registers an event listener, which is called when the selection changes. More...
void | removeSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| unregisters an event listener which was registered with XSelectionSupplier::addSelectionChangeListener(). More...
Protected Member Functions inherited from XTransferableSupplier
XTransferable | getTransferable ()
| To get access to a transferable representation of a selected part of an object. More...
void | insertTransferable ([in] XTransferable xTrans) raises ( UnsupportedFlavorException )
| Hands over a transferable object that shall be inserted. More...

## Detailed Description

This component integrates a preview view to a slide show of a presentation document into the desktop.

Since
  OOo 1.1.2

## Exported Interfaces

service com::sun::star::frame::Controller

this services offers the integration of this component into the desktop.

## Exported Interfaces

interface com::sun::star::awt::XWindow

lets you access the window for this view

interface com::sun::star::beans::XPropertySet

lets you access the properties of this service.

interface com::sun::star::drawing::XDrawView

lets you set/get the current page displayed by this view.

## Member Data Documentation

com::sun::star::drawing::XDrawPage CurrentPage
| property

This is the drawing page that is currently visible.

com::sun::star::awt::Rectangle VisibleArea
| propertyreadonly

This is the area that is currently visible.

The documentation for this service was generated from the following file:

- com/sun/star/presentation/PreviewView.idl